MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026388Open CASCADE[OCCT] OCCT:Configurationpublic2015-07-02 10:552016-04-20 15:48
Reporteribs 
Assigned Toabv 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformWindowsOSWindowsOS Version64 bit
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026388: Setting debugging environment of the Visual Studio solution of OCCT generated by CMake
DescriptionThe Visual Studio solution of OCCT generated by CMake does not have the possibility to start DRAWEXE under the debugger.

DRAWEXE can not find:
 1. the standard resources because CASROOT variable is not define;
 2. required 3rdparty libraries because PATH variable does not contain the required paths
Steps To Reproducebuild OCCT using CMake
start DRAWEXE debugging
TagsNo tags attached.
Test case number
Attached Files

- Relationships
child of 0025114closedabv CMake-based build tools for OCCT 7.0 

-  Notes
There are no notes attached to this issue.

- Related Changesets
occt: master 94829f84
Timestamp: 2015-07-02 13:55:21
Author: abv
Committer: abv
Details ] Diff ]
0026388: Setting debugging environment of the Visual Studio solution of OCCT generated by CMake

0. debugging environment added to DRAWEXE vcxproj
1. OCCT header files copied to inc directory of an installation folder. (the grouping of header files removed)
1. collect reference files of all OCCT header files in <binary dir>/inc during cmake configuration process
2. tcl installation procedure installs all dlls found in tcl bin folder (for win. this approach takes into account installing of zlib library that may be located in tcl bin folder)
4. each a OCCT project include just 3rdparty paths and <cmake binary dir>/inc folder
mod - adm/cmake/3rdparty_macro.cmake Diff ] File ]
mod - adm/cmake/BuildToolkit.cmake Diff ] File ]
mod - adm/cmake/freetype.cmake Diff ] File ]
mod - adm/cmake/occt_macros.cmake Diff ] File ]
mod - adm/cmake/tbb.cmake Diff ] File ]
mod - adm/cmake/tcl.cmake Diff ] File ]
mod - adm/cmake/vtk.cmake Diff ] File ]
add - adm/templates/DRAWEXE.vcxproj.user.in Diff ] File ]
add - adm/templates/header.in Diff ] File ]
mod - CMakeLists.txt Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-07-02 10:55 ibs New Issue
2015-07-02 10:55 ibs Assigned To => ibs
2015-07-02 10:55 ibs Relationship added child of 0025114
2015-07-02 19:22 ibs Status new => resolved
2015-07-02 19:22 ibs Steps to Reproduce Updated View Revisions
2015-07-23 11:55 abv Changeset attached => occt master 94829f84
2015-07-23 11:55 abv Assigned To ibs => abv
2015-07-23 11:55 abv Status resolved => verified
2015-07-23 11:55 abv Resolution open => fixed
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker